Webcamoid 9.3.0:

- New features:
  - Added support for SIMD instructions (MMX, SSE, SSE2, SSE4.1, AVX, AVX2, NEON, SVE, and RVV) with a common interface (AkSimd) for optimized video processing performance.
  - Added 8-bit specialized video conversion functions, optimized for SIMD.
  - Added OpenMP support.
  - Added support for Android TV.
  - Added PipeWire audio support.
  - Added Help option to the main menu.
  - Allow to customize the color scheme of the UI and added default color schemes.
  - Limited the video recording formats and codecs to use only web codecs.
    This make much easier to maintain and fix bugs in video recording, while still maintaining compatibility with many video players.
    The supported formats and codecs are:

    Webm:
        video codecs:
            av1
            vp9
            vp8
        audio codecs:
            opus
            vorbis
    MP4:
        video codecs:
            h264
        audio codecs:
            aac
            mp3
  - Added NOCHECKUPDATES option to disable updates check during compilation (issue #717).
  - Added VirusTotal scan for uploaded files to give users more confidence and security.
  - Added RISC-V 64 builds for Ubuntu.
  - Added support for SDL 3.
  - Prefer Microsoft Media Foundation over DirectShow for camera capture in Windows.
- Optimizations:
  - Improved desktop capture frame rate in X11/XLibre
  - Optimized logging for better performance.
  - Optimized formats and codec selection for small screens.
  - Improved video synchronization.
  - Reduced the size of the Android packages to fit Google Play limits.
- Bug fixes:
  - Fixed bugs in SDL.
  - Fixed PipeWire plugins with additional checks and improvements.
  - Fixed virtual camera issues in Mac and Windows, including communication via API library (issue #736).
  - Fixed Mac package signing and installation issues.
  - Fixed Android stability issues, including log cleaning, audio recording permissions, video recording, screen capture, and media file handling.
  - Fixed camera format controls and prevented crashes from virtual cameras in Windows.
  - Fixed empty codec descriptions when FFmpeg is optimized for small binaries.
- Improvements in the UI and user experience:
  - Improved video recording API with standardized codec and format options.
  - Added platform information printing for better debugging.
  - Disabled PipeWire (Wayland) screen capture when using X11/XLibre, and viceversa.
- Translations support:
  - Updated translations for German (95.7%), Turkish (53.1%), Estonian (52.8%), Hebrew (73.4%), Dutch (83.9%), and Italian (13.4%) via Weblate.
- Other changes:
  - Disabled librav1e codec in FFmpeg for Windows and linux-mingw version uploads, this codec makes Webcamoid crash when enabled in Windows.
  - Set minimum font point size of 10 for Windows.
  - Disabled QtMultimedia-related plugins for Android.
  - Disabled x86 builds for Android.
  - Removed MultiSink element, using muxers and encoders directly for recording.

Webcamoid 9.2.4:

- Added checks with VirusTotal (it still can throw false positives).
- Added NOCHECKUPDATES option for disable updates check when compiling (issue #717).
- Enabled VLC support again.

Webcamoid 9.2.3:

- Only compress Android package with ads.

Webcamoid 9.2.2:

- Fixed Android packages upload.

Webcamoid 9.2.1:

- Disabled binary build with libVLC in Windows since some anti-malware software
  detects its usage as malware even though is clean. You can still build
  Webcamoid with VLC support from Cmake command options.
- Build GNU/Linux binaries from Debian, this give a bit wider range of
  supported distros.

Webcamoid 9.2.0:

- Webcamoid ported to Qt6.
- Added PipeWire video capture support.
- Added Xlib screen capture plugin.
- Added desktop capture using FFmpeg.
- Added option to show or hide the mouse cursor on screen capture.
- Qt screen capture plugin is now using QScreenCapture.
- Added ColorKey plugin.
- Added support for extended controls in GNU/Linux and Windows.
- Fixed crash in Windows when the camera returns an invalid frame rate.
- Add support for h264 in DirectShow and MediaFoundation.
- Removed x86 builds in Windows.
- Attend to screen orientation (issue #661).
- Torch working in Android.
- Fixed font scaling in Android.
- Added AdMob support.
- Fixed ARM 64 packages.
- Build DEB and RPM packages.
- Fixed saving the selected camera format (issue #693).
- Added a debug log to the preferences dialog.
- Added options for enabling/disabling interprocess optimizations (issue #702).
- Fixed virtual camera support in FreeBSD.
- Do not show the video outputs if the virtual camera is not supported.

Webcamoid 9.1.1:

- Removed Qml import line that prevented UI to load.
- Using common AppID for all platforms.
- Fixed ARM packages upload on release.

Webcamoid 9.1.0:

- Redesigned UI to work in smaler screens.
- Now providing ARM packages for GNU/Linux.
- Webcamoid is mostly working fine in Android, with minimum bugs.
- Sustituting Mac native code with third-party libraries:

  CoreAudio -> PortAudio and SDL
  AVFoundation -> FFmpeg (Screen capture)
  AVFoundation -> QCamera (Camera capture)

  this way it will make much easier for me to maintain the code.
  Also not providing anymore pre-compiled binary packages.
  More information at https://github.com/webcamoid/webcamoid/issues/584.
- The flatpak package is now fully working.
- Allow using an image file as video source (issue #438).
- Full support for screen readers and keyboard navigation.
- Added image capture to clipboard (thanks to @iam-TJ!)
- Added PortAudio and SDL as alternative audio device plugins.
- Added QCamera as alternative camera capture plugin.
- Added FFmpeg screen capture support.
- The virtual camera from GNU/Linux can also be installed in non x86 platforms.
- video synchronization can be enabled/disabled on playback (thanks to @iam-TJ!)
- New video Effects: AnalogTV, Zoom, Crop, Opacity.
- Removed Scale and Scroll video effects.
- PrimariesColors plugin renamed to Saturated.
- Improved virtual camera detection. Webcamoid will only offer akvcam or
  AkVirtualCamera in the only case no other virtual camera was installed,
  or in the case it was manually selected.
- Allow positioning Webcamoid window on any screen (thanks to @iam-TJ!)
- Added uninstall target in cmake build to aid development cycles
  (thanks to @iam-TJ!).
- Fixed virtual camera install in GNU/Linux.
- Translation files are not embeded in the binary, more translations can be
  added and tested without recompiling.
- Fixed ALSA devices reading.
- Properly save enabled and disabled plugins.

Webcamoid 9.0.0:

- Now Qt 5.15 is the minimum required version.
- More modern UI redesign.
- Now the default theme can adapt to the current color scheme of the system.
- Switched build system to CMake.
- Redesigned plugins system to a more expandable one.
- Photos and videos are saved in their default folders, and its also user
  customizable.
- You can now open the last photo taken and the last video recorded from
  Webcamoid.
- Added support for screen capturing in PipeWire/Wayland.
- Added VLC as video playback backend.
- The virtual camera code for Mac and Windows has been splitted to its own
  project fixing several install/uninstall problems, and allowing other
  developers to use the virtual camera on their own projects.
- The virtual camera is now fully customizable (format, resolution, default
  picture, etc.).
- Improved error messages for the virtual camera.
- Added CoreMediaIO capture support in Mac.
- Add face tracking plugin (thanks Chris Barth!).
- Removed support for MSVC (for now).
- Add appstream data (thanks Joel Barrios!).
- Fixed privilege escalation when creating the virtual camera in GNU/Linux
  (issue #330)
- Added support for background image replacement in FaceDetect plugin (thanks
  cont1nuity!).
- Fixed default masks rendering when selecting an image from file system (issue
  #229, thanks cont1nuity!).
- Added more options to the FaceDetect plugin (thanks cont1nuity!).
- Switched from using QtIFW to NSIS in Windows, and pkg format in Mac, this
  fixes several install/uninstall problems.
- Added support for FFmpeg 5.0.
- Fixed video recording with FFmpeg.
- Added Otsu threshold, and other video effects plugins.
- Improved FalseColor plugin UI.
- Optimized Charify plugin (issue #488).
- Added software based camera controls for brightness, contrast, saturation,
  hue, and gamma, in Mac (issue #333).
- Added donations links for people who wants to support the project.

Webcamoid 8.8.0:

- Fixed bug when setting boolean type automatic controls in Windows
  (issue #148)
- Added option for blurring outside detected face in FaceDetect plugin
  (thanks Erich Schubert!).
- Added public method for detecting face rectangles in FaceDetect plugin
  (thanks Chris Barth!).
- Fixed some minor bugs when capturing from camera.

Webcamoid 8.7.1:

- Fixed memory grow when using the virtual camera in Mac.
- Disabled camera controls in Mac.
- Request access permissions for capturing from webcam when necessary in Mac.
- Load virtual camera default frame from file instead of resources.

Webcamoid 8.7.0:

- Android port more or less working, but not usable yet, you can test it in the
  daily builds. There in not an official release yet.
- Removed unnecessary Bin and Probe plugins.
- Added audio latency control.
- Removed OSS and QtAudio submodules.
- Fixed a bug that happened when changing the format, resolution or FPS of the
  camera (commit 41448aa).
- Improved error messages for the virtual camera (issue #187).
- Fixed segfaults.

Webcamoid 8.6.1:

- AppImage now properly show the icon (issue #94).
- Fix install Qml paths for Mac bundle (issue #156).
- Use correct subdir for manpage (issue #170, thanks Luigi Baldoni!).
- Fixed Windows installer (issue #172).
- Now you can create an Android APK (yes, it works, but no, it does not
  properly support Android yet).

Webcamoid 8.6.0:

- Now webcam settings are saved.
- Enabled secondary plugins, and fixed segfaults and  memleaks in GStreamer.
- Fixed segfaults and memory leaks in MacOS.
- Fixed GIF playback in FFmpeg.
- Build now support MSYS2.
- Added FreeBSD CI support in Cirrus CI.
- Added static analysis with Codacy.
- Added daily builds with Bintray.
- Disabled hotplug support for FreeBSD.
- Fixed manpage install.
- Install paths now follow Qt install paths structure.

Webcamoid 8.5.0:

- UI ported to QtQuick Controls 2.
- Reworked virtual camera for GNU/Linux, Mac and Windows.
- Qt 5.9.0 as minimum requirement.
- Faster build and smaller binaries.
- Added build info.
- Fixed crash and many other bugs in FreeBSD.
- Added support for Microsoft Media Foundation capture.
- Fixed shadow build.
- Added support for FFmpeg 4.0.
- Fixed bug when reading/setting webcam controls.
- Added support for akvcam, default in-house virtual camera solution for
  GNU/Linux.
- Fixed rendering problems in Mac.
- Added support for FreeBSD in deploy scripts.
- Fixed many bugs when recording audio and video.
- Default recording video bitrate is now 1.5 Mbps.
- Fixed audio support in Windows.
- Removed 'su' and 'sudo' as root method when installing the virtual camera in
  GNU/Linux.
- Removed Syphon support for Mac.
- Improved translations.

Webcamoid 8.1.0:

- Improved startup time.
- Deadlock when audio recording is enabled may be solved now. Audio recording
  enabled by default again.
- Added Syphon support for Mac.
- Added AVFoundation support for desktop capture in Mac.
- Binary packages size shrinked.
- Hopefully, fixed many segfaults in many platforms.

Webcamoid 8.0.0:

- Added support for Mac and FreeBSD (virtual camera is not supported yet).
- Added new masks to the FaceDetect plugin.
- Now is possible to Switch between FFmpeg and GStreamer on runtime.
- Added support for ALSA, OSS, JACK and QAudio.
- Added support for libuvc.
- Now is possible to select the desired input and output device, and configure
  playback and capture formats.
- More translations updates.
- Added options for configuring plugins search paths and blacklist in GUI.
- Added options for configuring the desired frameworks and libraries.
- Added formats and codecs config in recording options.
- FFmpeg >= 3.1 required.
- Added support for MSVC2013 and MSVC2015 build.
- Added option for configure FPS in DesktopCapture plugin.
- Added updates options.
- AppImage support.

Webcamoid 7.2.1:

- Added alternative root method (VirtualCamera). See ROOT_METHOD at project
  Wiki.
- C++11 support enabled by default.
- Using new algorithm for Cartoon plugin.

Webcamoid 7.2.0:

- Fixed problems when recording.
- Added timer and flash when taking photos.
- Better virtual camera management.
- Added Virtual camera support for Windows.
- Added GIF recording support (FFmpeg only).
- Improved webcam format selection.
- UI improvements.
- Included QtQuick software renderer in installation (Windows).
- Added play on start option.
- Added C++11 support for Clang build.

Webcamoid 7.1.0:

- Reworked audio system.
- Added support for compressed formats in webcams.
- No more lags in the UI when capturing from webcam.
- Added Windows installer.

Webcamoid 7.0.0:

- Windows port finally working! EXPERIMENTAL!
- Reworked recording options. More user friendly.
- Removed unnecessary dependencies.
- Many effects reworked and bugfixed.
- Added GStreamer support, EXPERIMENTAL!
- Fixed SEGFAULT when switching the effects.
- Added virtual camera support (GNU/Linux only).
- Added command line options for controlling plugins search.

Webcamoid 6.2.0:

- Reworked Cartoonify plugin.
- Some improvements in FaceDetect plugin.
- Added Canny mode for Edge detection plugin.
- Improved Blur and Denoise plugins.
- Fixed QDataStream missing header.

Webcamoid 6.1.0:

- Removed OpenCV as dependency (yes, again).
- Fixed Denoise plugin SEGFAULT.
- Translations updated.

Webcamoid 6.0.0:

- New Qml UI, more user friendly.
- Now, the effects can be customized.
- A lot of bug fixes.

Webcamoid 5.1.0:

- From now on, Webcamoid will be developed using Qt5.
- Removed Frei0r from dependencies.
- Added OpenCV as dependency (Face detection).
- Removed plasmoid build since Qt5 plugins aren't compatible with Qt4/KDE4.
- Now, Webcamoid can be compiled using MinGW.
- Added webcam capture support through DirectShow.
- There are still some patches needed to make it fully work in Windows.

Webcamoid 5.0.0:

- Modified the effects preview for reducing resources usage.
- Fixed stream flush on recording stop.
- Enhanced webm video recording.

Webcamoid 5.0.0rc1:

- Release Candidate version.
- Ported to Qt5 (without the plasmoid).
- Removed KDElibs as dependency, but still required for Qt4 build.
- Removed QImageBlitz as dependency.
- Added more effects.
- Fixed video sync.
- Initial port to Windows (help needed).

Webcamoid 5.0.0b2:

- Beta version.
- Fix many bugs.
- Many internal changes.
- Updated Italian translations (thanks to Ascaf0).
- Updated to work with FFmpeg >= 2.0.

Webcamoid 5.0.0b1:

- Beta version.
- Fixed many memory leaks and bugs.
- Fixed video synchronization.

Webcamoid 5.0.0a1:

- Alpha version.
- Added live preview for effects.
- Added custom streams, including videos (local and remote) and IP cameras
  (mms, rtsp, etc.).
- Added desktop recording.
- Ported to C++.
- Switched from GStreamer to FFmpeg.
- 100% Qt based software (GTK Free).
- Remember size of the plasmoid on close.

Webcamoid 4.0.0:

- Failed release.

Webcamoid 3.2.0:

- Stand alone installation mode improved (recommended).
- Fixed stylesheets.
- Fixed translations.
- Many internal changes.

Webcamoid 3.1.0:

- Added stand alone installation mode (Experimental).
- Fixed some bugs.

Webcamoid 3.0.0:

- Removed FFmpeg from dependencies, now it is based on GStreamer.
- Added video record.
- Added video effects.
- Added Catalan and Galician.

Webcamoid 2.2.0:

- Added new languages:

- Chinese (Simplified)
- Chinese (Traditional)
- French
- German
- Greek
- Italian
- Japanese
- Korean
- Portuguese
- Russian
- Spanish

Translations provided by Google translator, not me, except for Spanish (native)
and Japanese.

Webcamoid 2.1.3:

- Bug fix. Pipe file is no needed anymore.

Webcamoid 2.1.2:

- Removed stdin, stderr and stdout pipes. Added -loglevel quiet. Apparently,
  suppress the output using pipes is a very bad idea.

Webcamoid 2.1.1:

- Fixed Popen pipe limit.

Webcamoid 2.1.0:

- New Github repository.
- GUI based on Qt Designer forms.
- Added Popup applet support, thanks to user nik3nt3.

Webcamoid 2.0.0:

- Removed OpenCV from dependencies, now it is based on FFmpeg + v4l2 Python
  wrappers.

Webcamoid 1.x.x:

- Old version based on Python OpenCV.
